<bugID>880708<Summary>Firefox Aurora will not quit, just hangs (Mac crash attached)</Summary><Description>Created attachment 759771
aurora-mac-crash.txt

This has happened a few times with many tabs open. I open a new URL and it just hangs, never loads. I try to quit but Aurora will not quit. I have to force quit. The mac crash is attached with all the info about my system and the build I'm on.</Description></bugID>